@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  background: #ffffff;
  @apply tw-text-primary;
}

/* button style */
.button-primary {
  background: linear-gradient(to bottom right, #00c4cd, #7d1ae7);
}

.button-outlined {
  background: linear-gradient(to bottom right, #00c4cd, #7d1ae7);
}

.button-outlined > .inner-wrapper {
  position: absolute;
  top: 1px;
  left: 1px;
  bottom: 1px;
  right: 1px;
  @apply tw-bg-white tw-grid tw-place-items-center tw-rounded !important;
}

/* text style */
.gradient-text {
  background: linear-gradient(to right, #00c4cd, #7d1ae7);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* Feature card */
.feature-card {
  background: linear-gradient(
    to bottom right,
    rgba(0, 196, 205, 0.4),
    rgba(53, 124, 216, 0.4),
    rgba(73, 97, 220, 0.4),
    rgba(84, 75, 228, 0.4),
    rgba(103, 39, 241, 0.4),
    rgba(123, 0, 255, 0.4)
  );
  opacity: 0.1;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}

/* Linear gradient style */
.primary-linear-gradient-background {
  background: linear-gradient(
    to right, #00C4CD, #357CD8, #4961DC, #544BE4, #6727F1, #7B00FF
  );
}
